Kerbal Space Program - Bug #5316

SAS "target tracking” mode not available if zero speed relative to target
08/11/2015 10:26 AM - achurch

Status: Closed Start date: 08/11/2015
Severity: Low % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 1.04 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

The advanced SAS "target tracking" feature (Target and Anti-Target) is unselectable when the current craft's speed relative to the
target is zero (or very close to zero). This can make approaches a bit frustrating, as each time | null out my relative velocity | have to
manually find and center the target marker on the navball again.

To reproduce:

1) Have two vessels close to each other in orbit, at least one capable of SAS target tracking (e.g., with an RC-001S Remote
Guidance Unit).

2) Select the vessel with target tracking as the current vessel.

3) Target the other vessel.

4) Null out velocity relative to the other vessel.

5) Activate SAS.

6) Observe that the Target and Anti-Target SAS options are not selectable.

Related issues:
Has duplicate Kerbal Space Program - Bug #5925: Bug #5918 wrongly classed as ... Moot 11/11/2015

History

#1 - 11/11/2015 04:10 PM - RexKramer
- Has duplicate Bug #5925: Bug #5918 wrongly classed as "not a bug" because the tester can not read added

#2 - 07/17/2016 09:38 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 07/18/2016 03:40 PM - Alchemist
- Status changed from Needs Clarification to Resolved

- % Done changed from 0 to 100

Fixed in 1.0.5

#4 - 07/19/2016 08:33 AM - TriggerAu

- Status changed from Resolved to Closed

Thanks for the updates
